# Functor DGraphTreeModel.SubTreeMake

    module SubTreeMake: functor (G : Graph.Graphviz.GraphWithDotAttrs) -> sig .. end

This functor creates a model centered on a vertex from a graph

Parameters:

`G` | : | `Graph.Graphviz.GraphWithDotAttrs`

    include DGraphTreeModel.S

    val from_graph : ?depth_forward:int ->
           ?depth_backward:int -> [> `widget ] Gtk.obj -> G.t -> G.V.t -> tree_model